include:
 - project: 'to-be-continuous/docker'
   ref: '3.5.3'
   file: '/templates/gitlab-ci-docker.yml'
 - project: 'to-be-continuous/golang'
   ref: '4.0.1'
   file: '/templates/gitlab-ci-golang.yml'

variables:
  GO_BUILD_FLAGS: -tags netgo
  # force application build
  GO_BUILD_MODE: application
  
  DOCKER_BUILD_ARGS: "--build-arg CI_PROJECT_URL --build-arg TRACKING_CONFIGURATION"
  DOCKER_HEALTHCHECK_CONTAINER_ARGS: "--service --skip_tracking my-template-service my-template-version"

stages:
  - build
  - test
  - package-build
  - package-test
  - acceptance
  - publish

# override base jobs not to depend on tracking image
.go-base:
  services: []

.docker-base:
  services: []
